Information Protection Policies - List
특정 관리 그룹의 정보 보호 정책입니다.
GET https://management.azure.com/{scope}/providers/Microsoft.Security/informationProtectionPolicies?api-version=2017-08-01-preview
URI 매개 변수
| Name | In(다음 안에) | 필수 | 형식 | Description |
|---|---|---|---|---|
|
scope
|
path | True |
string |
쿼리 범위는 구독(/subscriptions/0b06d9ea-afe6-4779-bd59-30e5c2d9d13f) 또는 관리 그룹(/providers/Microsoft.Management/managementGroups/mgName)일 수 있습니다. |
|
api-version
|
query | True |
string |
작업에 대한 API 버전 |
응답
| Name | 형식 | Description |
|---|---|---|
| 200 OK |
그래 |
|
| Other Status Codes |
작업이 실패한 이유를 설명하는 오류 응답입니다. |
보안
azure_auth
Azure Active Directory OAuth2 흐름
형식:
oauth2
Flow:
implicit
권한 부여 URL:
https://login.microsoftonline.com/common/oauth2/authorize
범위
| Name | Description |
|---|---|
| user_impersonation | 사용자 계정 가장 |
예제
Get information protection policies
샘플 요청
GET https://management.azure.com/providers/Microsoft.Management/managementGroups/148059f7-faf3-49a6-ba35-85122112291e/providers/Microsoft.Security/informationProtectionPolicies?api-version=2017-08-01-preview
샘플 응답
{
"value": [
{
"id": "/providers/Microsoft.Management/managementGroups/148059f7-faf3-49a6-ba35-85122112291e/providers/Microsoft.Security/informationProtectionPolicies/effective",
"name": "effective",
"type": "Microsoft.Security/informationProtectionPolicies",
"properties": {
"labels": {
"1345da73-bc5a-4a8f-b7dd-3820eb713da8": {
"displayName": "Public",
"order": 100,
"enabled": true
},
"7aa516c7-5a53-4857-bc6e-6808c6acd542": {
"displayName": "General",
"order": 200,
"enabled": true
},
"575739d2-3d53-4df0-9042-4c7772d5c7b1": {
"displayName": "Confidential",
"order": 300,
"enabled": true
}
},
"informationTypes": {
"7fb9419d-2473-4ad8-8e11-b25cc8cf6a07": {
"displayName": "Networking",
"order": 100,
"recommendedLabelId": "575739d2-3d53-4df0-9042-4c7772d5c7b1",
"enabled": true,
"custom": false,
"keywords": [
{
"pattern": "%ip%",
"custom": false,
"canBeNumeric": false
},
{
"pattern": "ip%address%",
"custom": false,
"canBeNumeric": false
},
{
"pattern": "%mac%address%",
"custom": false,
"canBeNumeric": false
},
{
"pattern": "%networking%",
"custom": true,
"canBeNumeric": true
}
]
},
"5856f35c-8e08-4d08-9bf7-87a146150569": {
"displayName": "Contact Info",
"order": 200,
"recommendedLabelId": "575739d2-3d53-4df0-9042-4c7772d5c7b1",
"enabled": true,
"custom": false,
"keywords": [
{
"pattern": "%email%",
"custom": false,
"canBeNumeric": false
},
{
"pattern": "%e-mail%",
"custom": false,
"canBeNumeric": false
},
{
"pattern": "%addr%",
"custom": false,
"canBeNumeric": false
},
{
"pattern": "%street%",
"custom": false,
"canBeNumeric": true
},
{
"pattern": "%city%",
"custom": false,
"canBeNumeric": false
}
]
},
"3bf35491-99b8-41f2-86d5-c1200a7df658": {
"displayName": "Custom",
"order": 1400,
"recommendedLabelId": "7aa516c7-5a53-4857-bc6e-6808c6acd542",
"enabled": true,
"custom": true,
"keywords": [
{
"pattern": "%networking%",
"custom": true,
"canBeNumeric": false
}
]
}
}
}
},
{
"id": "/providers/Microsoft.Management/managementGroups/148059f7-faf3-49a6-ba35-85122112291e/providers/Microsoft.Security/informationProtectionPolicies/custom",
"name": "custom",
"type": "Microsoft.Security/informationProtectionPolicies",
"properties": {
"labels": {
"1345da73-bc5a-4a8f-b7dd-3820eb713da8": {
"displayName": "Public",
"order": 100,
"enabled": true
},
"7aa516c7-5a53-4857-bc6e-6808c6acd542": {
"displayName": "General",
"order": 200,
"enabled": true
},
"575739d2-3d53-4df0-9042-4c7772d5c7b1": {
"displayName": "Confidential",
"order": 300,
"enabled": true
}
},
"informationTypes": {
"7fb9419d-2473-4ad8-8e11-b25cc8cf6a07": {
"displayName": "Networking",
"order": 100,
"recommendedLabelId": "575739d2-3d53-4df0-9042-4c7772d5c7b1",
"enabled": true,
"custom": false,
"keywords": [
{
"pattern": "%networking%",
"custom": true,
"canBeNumeric": false
}
]
},
"3bf35491-99b8-41f2-86d5-c1200a7df658": {
"displayName": "Custom",
"order": 1400,
"recommendedLabelId": "7aa516c7-5a53-4857-bc6e-6808c6acd542",
"enabled": true,
"custom": true,
"keywords": [
{
"pattern": "%custom%",
"custom": true,
"canBeNumeric": true
}
]
}
}
}
}
]
}
정의
| Name | Description |
|---|---|
|
Cloud |
실패한 작업에 대한 오류 세부 정보를 반환하는 모든 Azure Resource Manager API에 대한 일반적인 오류 응답입니다. 또한 OData 오류 응답 형식을 따릅니다. |
|
Cloud |
오류 세부 정보입니다. |
|
Error |
리소스 관리 오류 추가 정보입니다. |
|
Information |
정보 유형 키워드입니다. |
|
Information |
정보 보호 정책. |
|
Information |
정보 보호 정책 응답입니다. |
|
Information |
정보 유형입니다. |
| rank |
민감도 레이블의 순위입니다. |
|
Sensitivity |
민감도 레이블입니다. |
CloudError
실패한 작업에 대한 오류 세부 정보를 반환하는 모든 Azure Resource Manager API에 대한 일반적인 오류 응답입니다. 또한 OData 오류 응답 형식을 따릅니다.
| Name | 형식 | Description |
|---|---|---|
| error.additionalInfo |
오류 추가 정보입니다. |
|
| error.code |
string |
오류 코드입니다. |
| error.details |
오류 세부 정보입니다. |
|
| error.message |
string |
오류 메시지입니다. |
| error.target |
string |
오류 대상입니다. |
CloudErrorBody
오류 세부 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| additionalInfo |
오류 추가 정보입니다. |
|
| code |
string |
오류 코드입니다. |
| details |
오류 세부 정보입니다. |
|
| message |
string |
오류 메시지입니다. |
| target |
string |
오류 대상입니다. |
ErrorAdditionalInfo
리소스 관리 오류 추가 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| info |
object |
추가 정보입니다. |
| type |
string |
추가 정보 유형입니다. |
InformationProtectionKeyword
정보 유형 키워드입니다.
| Name | 형식 | Description |
|---|---|---|
| canBeNumeric |
boolean |
키워드를 숫자 형식에 적용할 수 있는지 여부를 나타냅니다. |
| custom |
boolean |
키워드가 사용자 지정인지 여부를 나타냅니다. |
| excluded |
boolean |
키워드가 제외되는지 여부를 나타냅니다. |
| pattern |
string |
키워드 패턴입니다. |
InformationProtectionPolicy
정보 보호 정책.
| Name | 형식 | Description |
|---|---|---|
| id |
string |
리소스 ID |
| name |
string |
리소스 이름 |
| properties.informationTypes |
<string,
Information |
민감도 정보 유형입니다. |
| properties.labels |
<string,
Sensitivity |
민감도 레이블의 사전입니다. |
| properties.lastModifiedUtc |
string (date-time) |
정책이 수정된 마지막 UTC 시간을 설명합니다. |
| properties.version |
string |
정책의 버전을 설명합니다. |
| type |
string |
리소스 종류 |
InformationProtectionPolicyList
정보 보호 정책 응답입니다.
| Name | 형식 | Description |
|---|---|---|
| nextLink |
string |
다음 페이지를 가져올 URI입니다. |
| value |
정보 보호 정책 목록입니다. |
InformationType
정보 유형입니다.
| Name | 형식 | Description |
|---|---|---|
| custom |
boolean |
정보 유형이 사용자 지정인지 여부를 나타냅니다. |
| description |
string |
정보 유형에 대한 설명입니다. |
| displayName |
string |
정보 형식의 이름입니다. |
| enabled |
boolean |
정보 유형을 사용할지 여부를 나타냅니다. |
| keywords |
정보 유형 키워드입니다. |
|
| order |
integer (int32) |
정보 형식의 순서입니다. |
| recommendedLabelId |
string (uuid) |
이 정보 유형과 연결할 권장 레이블 ID입니다. |
rank
민감도 레이블의 순위입니다.
| 값 | Description |
|---|---|
| None | |
| Low | |
| Medium | |
| High | |
| Critical |
SensitivityLabel
민감도 레이블입니다.
| Name | 형식 | Description |
|---|---|---|
| description |
string |
민감도 레이블에 대한 설명입니다. |
| displayName |
string |
민감도 레이블의 이름입니다. |
| enabled |
boolean |
레이블을 사용할지 여부를 나타냅니다. |
| order |
integer (int32) |
민감도 레이블의 순서입니다. |
| rank |
민감도 레이블의 순위입니다. |